const API_INTERNAL_URI = require('../config.js').API_INTERNAL_URI
const req = require('../utils/request').httpReq

//用户详情
exports.getUser_detail = async (ctx, next) => {
  var url = `${API_INTERNAL_URI}/merchant/authority/get_user_info`;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    timeout: 8000,
    body: ctx.request.body
  }
  ctx.body = await req(ctx, opts)
}
var query = {
  async get_permissions (ctx) {
    // http://bp-test.ini.yidian-inc.com/merchant/authority/get_role_list?user_email=jianghaiming@126.com
    const url = `${API_INTERNAL_URI}/merchant/authority/get_role_list`;
    console.log(44444, ctx.request.query.email);
    const { email } = ctx.request.query;
    const opts = {
      url,
      method: "GET",
      qs: {
        user_email: "jianghaiming@126.com"
        // user_email: email
      }
    };
    ctx.body = await req(ctx, opts);
  }
};
exports.query = async (ctx, next) => {
  var type = ctx.params.type;
  console.log("koa user::::::", type);
  if (query[type]) {
    try {
      ctx.set("Content-Type", "application/json; charset=utf-8");
      await query[type](ctx, next);
    } catch (e) {
      console.error("/api/v1 error", e, ctx.url, ctx.headers["cookie"]);
      ctx.body = { status: "failed", reason: "Internal Server Error" };
    }
  } else {
    ctx.body = {
      status: "failed",
      reason: "Invalid type param"
    };
  }
};

