import axios from '../utils/request';
// import qs from 'qs';
//角色列表
export async function getRole_list (page, page_size, role_status, role_name) {
  const res = await axios.post("/api/v1/merchant/authority/role_list", {
    page, page_size, role_status, role_name
  })
  return res;
}
//添加角色
export async function getAdd_role (role_name, permissions) {
  const res = await axios.post("/api/v1/merchant/authority/add_role", {
    role_name, permissions
  })
  return res;
}
//角色编辑
export async function getUpdate_role (op_cur_user, role_name, role_id, role_status, permissions) {
  const res = await axios.post("/api/v1/merchant/authority/update_role", {
    op_cur_user, role_name, role_id, role_status, permissions
  })
  return res;
}
//角色详情
export async function get_role_info (role_id) {
  const res = await axios.post("/api/v1/merchant/authority/get_role_info", {
    role_id
  })
  return res.result;
}
//角色删除
export async function getDelete_role (role_id) {
  const res = await axios.post("/api/v1/merchant/authority/delete_role", {
    role_id
  })
  return res;
}

//权限列表
export async function getAll_role_list (user_name, user_email) {
  const res = await axios.post("/api/v1/merchant/authority/get_role_list", {
    user_name, user_email
  })
  return res.permissions;
}
